// wxWidgets GUI libs //
#include "wx/wxprec.h"
#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "wx/image.h"
#include "wx/tglbtn.h"
#include "wx/cmdline.h"

// lineeye LE library //
#include "LEPC.h"

// IDs //
#define MY_TIMER_ID 1001
#define MY_RUN_TXT_ID 2001

// main application class //
class MyApp : public wxApp
{
 public:

    virtual bool OnInit();
};

// display class //
class ImagePanel : public wxPanel{
	wxImage image;
	
 public:
	ImagePanel(wxFrame* parrent, wxPoint pos, wxSize size);
	~ImagePanel();
  
	void SetImage(wxString file);
	void Paint();
	void DrawDC(wxDC& dc);
	void PaintEvent(wxPaintEvent &event);
	
	DECLARE_EVENT_TABLE();
};

// GUI macros //
BEGIN_EVENT_TABLE(ImagePanel, wxPanel)
EVT_PAINT(ImagePanel::PaintEvent) // connect paint event 
END_EVENT_TABLE()

// main window class //
class MyFrame : public wxFrame
{
 public:
	
    MyFrame(const wxString& title);
	~MyFrame();

    void OnQuit(wxCommandEvent& event);
    void OnButton(wxCommandEvent& event);
    void OnTimer(wxTimerEvent& event);
    void ShiftOn(wxCommandEvent& event);
    
 private:
    wxDECLARE_EVENT_TABLE();
    ImagePanel *imgPanel;
    wxPanel *btnPanel;
    wxTimer timer;
    bool fCapt;
    int fShift;
	wxStaticText *RunText;
};


enum
{
    // menu items
    Menu_Quit = wxID_EXIT
};

// GUI macros // 
wxBEGIN_EVENT_TABLE(MyFrame, wxFrame)
EVT_MENU(Menu_Quit,  MyFrame::OnQuit) // menu exit
EVT_TIMER(1001, MyFrame::OnTimer) // auto timer event
EVT_BUTTON(wxID_ANY, MyFrame::OnButton) // button functions
EVT_TOGGLEBUTTON(wxID_ANY, MyFrame::ShiftOn) // shift button
wxEND_EVENT_TABLE()

IMPLEMENT_APP(MyApp)

